<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getBonusTime](./bitburner.bladeburner.getbonustime.md)

## Bladeburner.getBonusTime() method

Get Bladeburner bonus time.

**Signature:**

```typescript
getBonusTime(): number;
```
**Returns:**

number

Amount of accumulated “bonus time” (milliseconds) for the Bladeburner mechanic.

## Remarks

RAM cost: 0 GB

Returns the amount of accumulated “bonus time” (milliseconds) for the Bladeburner mechanic.

“Bonus time” is accumulated when the game is offline or if the game is inactive in the browser.

“Bonus time” makes the game progress faster, up to 5x the normal speed. For example, if an action takes 30 seconds to complete, but you’ve accumulated over 30 seconds in bonus time, then the action will only take 6 seconds in real life to complete.

